darcs (2.8.5-3) unstable; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on terminfo and haskeline, which now come with GHC
  * Do not build libghc-darcs-*, nobody uses them

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 May 2015 10:41:44 +0200

darcs (2.8.5-2) unstable; urgency=low

  * Add copyright information for src/Crypt/*, Closes: bug#775588

 -- Christopher Reichert <creichert07@gmail.com>  Wed, 28 Jan 2015 22:00:00 -0600

darcs (2.8.5-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Sep 2014 17:53:14 +0200

darcs (2.8.4-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 May 2013 09:20:14 +0200

darcs (2.8.4-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:42 +0200

darcs (2.8.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Feb 2013 21:40:14 +0100

darcs (2.8.1-1) unstable; urgency=low

  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 May 2012 23:31:06 +0200

darcs (2.8.0-1) unstable; urgency=low

  * New upstream release
    + No longer FTBFS (Closes: #668884)
    + Too many changes to enumerate; see /usr/share/doc/darcs/NEWS.gz for
      complete list.
  * Standards-Version → 3.9.3, no changes required 

 -- Iain Lane <laney@debian.org>  Sat, 28 Apr 2012 00:41:30 +0100

darcs (2.7.99.1-1) experimental; urgency=low

  * New upstream RC for 2.8
  * debian/watch: Track beta versions
  * debian/control: Update BDs for this release 
  * Add -fforce-char8-encoding flag for proper filename encoding support on
    GHC 7.4 
  * Enable some flags
    + Build with curl support  
    + Use terminfo for better console output
    + Compile with mmap support
  * Refresh use-sensible-editor patch and drop all others which are no longer
    required.
  * Remove BDs on packages provided by GHC (unix, filepath) 
  * Set DEB_CABAL_PACKAGE since the cabal file is called darcs-beta but we
    want to build darcs. 
  * Don't run test suite during build (possibly resurrect this later) 

 -- Iain Lane <laney@debian.org>  Mon, 02 Apr 2012 19:11:22 +0100

darcs (2.5.2-6) unstable; urgency=low

  * Use hlibrary.setup instead of runhaskell

 -- Iain Lane <laney@debian.org>  Mon, 10 Oct 2011 11:29:14 +0100

darcs (2.5.2-5) unstable; urgency=low

  * Remove test-issue1763-use-tmpdir: failed to work
  * Disable test-issue1763 on the advice of upstream. Something wicked is
    going on in the test harness which causes it to fail, even though the
    functionality is fine. Another option seems to be to run the test suite
    using zsh.

 -- Iain Lane <laney@debian.org>  Mon, 10 Oct 2011 09:15:39 +0100

darcs (2.5.2-4) unstable; urgency=low

  * debian/patches/test-issue1763-use-tmpdir: Use a temporary working dir
    instead of running test in the tests/ directory. Avoids test failure and
    resulting FTBFS.
  * Only run tests once 

 -- Iain Lane <laney@debian.org>  Sun, 09 Oct 2011 17:39:59 +0100

darcs (2.5.2-3) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/control:
    - Standards version 3.9.2 (no changes)
    - Fix uploaders line

  [ Iain Lane ]
  * Adopt for the DHG with Erik as uploader (Closes: #624162)
  * Bump required versions on regex-{compat,posix} to those in Debian. Patch
    cherry-picked from upstream. (Closes: #642710)
  * Explicitly use /bin/bash for tests; works around failure on buildds with
    dash (Closes: #632494)
  * Convert to CDBS with hlibrary.mk and build darcs library packages 
  * Update d/copyright 

 -- Iain Lane <laney@debian.org>  Sun, 25 Sep 2011 11:38:51 +0100

darcs (2.5.2-2) unstable; urgency=low

  * Build against parsec3.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Jun 2011 15:10:13 +0200

darcs (2.5.2-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Trent W. Buck ]
  * New upstream release (Closes: 494160)
  * Avoid hlint FTBFS by disabling hlint test (Closes: #597052)

 -- Trent W. Buck <trentbuck@gmail.com>  Tue, 26 Apr 2011 13:37:20 +1000

darcs (2.4.4-3) unstable; urgency=low

  [ Joachim Breitner ]
  * Undo some cruft I addeded by accident to the source

  [ Trent W. Buck ]
  * Backport upstream libcurl fix for x86-64 (Closes: #600759).

 -- Trent W. Buck <trentbuck@gmail.com>  Fri, 12 Nov 2010 14:01:05 +1100

darcs (2.4.4-2.1) unstable; urgency=low

  [ Trent W. Buck ]
  * Install upstream's NEWS file (Closes: #589368).

  [ Stefano Rivera ]
  * Non-maintainer upload.
  * Disable external.sh test (requires network connectivity). Closes:
    #596606

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 16 Sep 2010 09:35:56 +0200

darcs (2.4.4-2) unstable; urgency=low

  * Blindly apply Joachim's HPPA workaround (Closes: #588222).

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 11 Jul 2010 16:19:26 +1000

darcs (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 26 May 2010 12:39:53 +1000

darcs (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Rebase build dependencies.
  * Rebase patches.
  * Remove conflict on hlint.

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 10 May 2010 18:01:27 +1000

darcs (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Temporary build-conflict on hlint (Closes: #579270).
  * Rebase build dependencies.
  * Rebase patches.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 08 May 2010 20:53:12 +1000

darcs (2.4-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Remove uneeded Build-Depends: in libghc6-utf8-
    string-dev.

  [ Trent W. Buck ]
  * New upstream release.
  * Avoid mmap 0.5 (see http://bugs.darcs.net/issue1753).
  * Refresh or delete quilt patches.
  * Replace in-house no-libHSDarcs with upstream patch184.
  * Clean up README.Source.

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 21 Mar 2010 02:32:08 +1100

darcs (2.3.0-3) unstable; urgency=low

  * Fix FTBFS on arches without ghc -threaded (Closes: #541848).
  * Cabal ignores bash completion, so install it via dh.
  * Migrate to dpkg source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 16 Nov 2009 16:57:18 +1100

darcs (2.3.0-2) unstable; urgency=low

  * Avoid gratuitous use of sensible-utils (Closes: #541843).

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 17 Aug 2009 14:20:36 +1000

darcs (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Use sensible-editor and sensible-pager (Closes: #501101).
  * Use the "default-mta" alias to appease Ubuntu maintainers.
  * Bump curl dependency to 7.19.1 and manually activate pipelining.
  * Remove useless hyperlink sentence from Description (Closes: #522564).
  * Disable .doc-base, since PDF/HTML manual is broken upstream.
  * Bump Standards-Version to 3.8.2.
    * Section changed (was "devel", now "vcs").

 -- Trent W. Buck <trentbuck@gmail.com>  Mon, 17 Aug 2009 00:40:53 +1000

darcs (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Avoid curl-openssl (Closes: RU176).
  * Use dh(1) instead of CDBS.
  * Don't rebuild upstream's copy (PDF and HTML) of the manual.

 -- Trent W. Buck <trentbuck@gmail.com>  Thu, 22 Jan 2009 18:14:38 +1100

darcs (2.1.0-1) unstable; urgency=low

  * New upstream release.
    * Manpage patch included upstream, so remove patch support.
      It can be re-added later if necessary.
    * Warn user when remote host has darcs1 (Closes: #494109).
    * fix fix_filepath to work with --repodir (Closes: #458629).
    * darcs trackdown --set-scripts-executable (Closes: #462917).
  * Abolish darcs-server binary package
    (Closes: #498542, #489131, #339770, #486192).
  * Symlink identical HTML files (Closes: #491875).
  * Adopt "standard" copyright file format.
    Note that this patch only changes the format!  The
    copyright and license information still needs to be
    checked against current releases of Darcs; corrections
    will be a separate patch.
  * Correctly munge prerelease version strings.
  * control:
    * fix VCS URL.
    * enable DMs listed in Uploaders to upload directly.  For more
      information, see http://wiki.debian.org/Maintainers
    * refactor description field based on darcs homepage.
    * bump Standards-Version to 3.8.0.
      Add a Homepage field.
      Hard-wrap long fields (Uploads, Build-Depends) for readability.
    * Bump debhelper dependency so debian/clean works.

 -- Trent W. Buck <trentbuck@gmail.com>  Sun, 19 Oct 2008 13:48:20 +1100

darcs (2.0.2-3) unstable; urgency=low

  * Bump ghc6 build-depends to >= 6.8.2-7 (Closes: #500563).

 -- Petr Rockai <mornfall@debian.org>  Mon, 29 Sep 2008 13:48:32 +0200

darcs (2.0.2-2) unstable; urgency=low

  * Add a rudimentary debian/README.source explaining how to build the package.
  * Upload to unstable.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 14:06:14 +0200

darcs (2.0.2-1) experimental; urgency=low

  * New upstream release.

 -- Petr Rockai <mornfall@debian.org>  Mon, 14 Jul 2008 01:00:04 +0200

darcs (2.0.0-5) unstable; urgency=low

  * Work around #481592 (Closes: #485631).
    We don't want this to keep Darcs2 out of Lenny!
  * Add /var/cache/darcs to darcs-server (Closes: LP52199).
    Apparently Ubuntu can automatically sync darcs now.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 14 Jun 2008 15:35:37 +1000

darcs (2.0.0-4) unstable; urgency=low

  * Adopt CDBS (Closes: #484375).
    * Don't install intermediary DVI and PostScript doc formats.
    * Add horrible --datadir=/usr/share (is this necessary?)
  * Drop paranoiac minimum versions from GHC dev packages to appease
    lintian.
  * Fix doc-base section to appease lintian.
  * Indent initialize's docstring to avoid manpage render warning:
    `initialize'' not defined (probable missing space after `in')
  * Extend upstream's distclean target to include parts of
    maintainer-clean, to appease dpkg-source -b in rebuilds.
  * Whoops, I lost the 1.0.9-1.1 changes.  The only change that I
    didn't already re-invent in 2.0.0-1 was related to the openFd bug,
    which upstream fixed in darcs 2 by looking for fdToHandle (Closes:
    #470376).  Closing it here convinces the Debian BTS that this bug
    really *is* fixed in Lenny.
  * Change build dependency "tex4ht | latex2html" back to just
    "tex4ht", since the latter's upstream is quite old, and I've never
    tested it.

 -- Trent W. Buck <trentbuck@gmail.com>  Thu, 05 Jun 2008 14:24:16 +1000

darcs (2.0.0-3) unstable; urgency=low

  * Flip maintainer to Trent, add Isaac and myself to Uploaders.
  * Fix the clean target in debian/rules to produce a clean diff.
  * Remove unmaintained debian/NEWS.upstream.
  * Upload to unstable.

 -- Petr Rockai <mornfall@debian.org>  Wed, 28 May 2008 11:58:22 +0200

darcs (2.0.0-2) unstable; urgency=low

  * Refer to texlive instead of tetex (vastly reducing build deps).
  * Enable curl pipelining, because it sounds cool.

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 09 Apr 2008 16:37:59 +1000

darcs (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: 456618).

    - Ignores .hg (Mercurial) metadata by default (Closes: #447100).
    - Ignores Waf metadata by default (Closes: #457656).
    - Doesn't silently overwrite unadded files when applying/pulling a
      patch that adds the same file (Closes: #394721).
    - Can reuse ssh connections more (Closes: #466452).

  * Bump curl dependency to libcurl4-dev.
  * Delete semantic.cache's (Closes: 457259).
  * debian/watch: update format (Closes: #457258).
  * Remove some patches to configure, since they look like noops.
    The file is in debian/patches/obsolete in case anybody complains.

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 09 Apr 2008 13:37:59 +1000

darcs (1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: 430950).
  * Added makefile rule to install darcs-server README (Closes: 406237).
  * Upstream has fixed buffering bug (Closes: 333251).

 -- isaac jones <ijones@debian.org>  Sat,  7 Jul 2007 10:13:04 -0700

darcs (1.0.9~rc1-0.1) unstable; urgency=low

  * Non-maintainer upload with permission of maintainer.
  * New upstream release.
  * Cleanup the diff.gz from all the cruft.
  * Fix FTBFS with GHC 6.6 (Closes: 393599):
    - debian/control: add libghc6-html-dev, libghc6-mlt-dev and
      libghc6-quickcheck-dev to Build-Depends
    - configure.ac: also check regex-compat for Text.Regex
  * Fix generation of manual in HTML form (Closes: 362508) :
     - debian/control: add tex4ht to Build-Depends
     - configure.ac: set TEX4HTENV=/etc/tex4ht/tex4ht.env before calling
       htlatex
  * Run autoconf ; rm -r autom4te.cache/ to update configure from
    configure.ac
  * debian/control: bump Standards-Version. No changes needed.
  * debian/darcs.docs: removed.
  * debian/darcs.doc-base: register manual with doc-base.
  * debian/rules:
    - Do not export DH_COMPAT but use debian/compat file.
    - Call configure with --datadir=/usr/share to make sure there are no
      references to ${prefix} left in Autoconf.lhs, cgi/darcs.cgi,
      cgi/darcs.cgi and cgi/cgi.conf
    - Remove darcs.1, darcs_print.ps and index.html on clean to keep the
      diff.gz small and tidy.
    - Call dh_installchangelogs with the name of the upstream changelog
      file so it gets installed following policy guidelines.

 -- Arjan Oosting <arjan@debian.org>  Tue, 31 Oct 2006 01:18:24 +0100

darcs (1.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #375353).
  * Updated upstream ChangeLog name (Closes: #365043).
  * I believe emtpy documentation problem is fixed (looks fixed).  Please reopen if not (Closes: #362508).
  * Compiled with newer version of GHC without certain bug (version 6.4.2) (Closes: #375802).
  * ssh session-related patch is now in upstream (Closes: #366719).

 -- Isaac Jones <ijones@debian.org>  Sun,  2 Jul 2006 15:37:49 -0700

darcs (1.0.6-1) unstable; urgency=low

  * New upstream release
  * Applied patches from upstream to look for pager (Closes: #317280) and sensible-editor (Closes: #284240).
  * Upstream has removed darcs-createrepo (Closes: #297782).
  * Upstream says that darcs now does the right thing with sockets (Closes: #304264).

 -- Isaac Jones <ijones@debian.org>  Sun,  9 Apr 2006 15:42:40 -0700

darcs (1.0.5-3) unstable; urgency=low

  * latex2html is non-free.  Removing dependencies on documentation
    generators.  According to David Roundy, this will cause configure to
    not rebuild the documentation.  (Closes: #348165).

 -- Isaac Jones <ijones@debian.org>  Sun, 15 Jan 2006 10:55:48 -0800

darcs (1.0.5-2) unstable; urgency=low

  * Difficulties building the documentation due to tex4ht segfault.  Can't
    find .env file.  Also makefile rules seem to be defective so that it's
    not possible to avoid building the documentation.  Remove tex4ht
    dependency and hope configure will pick up latex2html
    instead. (Closes: #347564).

 -- Isaac Jones <ijones@debian.org>  Sat, 14 Jan 2006 14:26:00 -0800

darcs (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Fixed the description of darcs-server (Closes: #339770) but choosing
    not to change the name of the package.

 -- Isaac Jones <ijones@debian.org>  Tue, 10 Jan 2006 20:16:57 -0800

darcs (1.0.4-2) unstable; urgency=low

  * Added a build dependency on libkrb5-dev to fix build failure (closes: #340942)

 -- Isaac Jones <ijones@debian.org>  Mon, 28 Nov 2005 22:40:15 -0800

darcs (1.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #339333)
  * According to David, fixes a bug where -s in pull does nothing (Closes:
    #305851)
  * Added --with-sendmail flag and removed build-depends on mail transport
    agents.  (Closes: #287881)
  * Since arguments can be mixed in any order, some bad error message
    shouldn't happen (Closes: #337683).
  * Upstream has indicated that performance should be better with this
    version.  If performance for gettext files is still not acceptable,
    please re-open this bug, or contact upstream with a performance report
    (Closes: #333992).

 -- Isaac Jones <ijones@debian.org>  Sat, 26 Nov 2005 13:56:23 -0800

darcs (1.0.3-2) unstable; urgency=low

  * No real changes.  Re-upload to trigger rebuild due to new ghc
    (Closes: #320156).
  * NOTE: 1.0.4 may be coming out very soon, but I thought it worthwhile
    to re-upload this package to get past the conflicts w/ ghc & grave bug.

 -- Isaac Jones <ijones@debian.org>  Wed,  7 Sep 2005 14:40:19 -0700

darcs (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: 311862)
  * This is mostly a bugfix and maintenance release.  Meanwhile in the
    unstable branch a great deal of exciting development is happening.
  * bugfix: recording with a removed file as an argument
  * documentation update: new sections in "Best practices"
  * Correct behavior for "record ." (Closes: 311509)
  * Fixed typo in package description (Closes: 300418)
  * Tab completion for help works in bash.  Probably fixed in previous
    release. (Closes: 294426)
  * Added depends on xsltproc for darcs-server (Closes: 282883, Closes:
    304960)
  * Added a few words to the darcs-createrepo man page (Closes: 311711)

 -- Isaac Jones <ijones@debian.org>  Sun,  5 Jun 2005 15:03:59 -0700

darcs (1.0.2+1.0.3rc1-3) unstable; urgency=low

  * Another build-depends problem, this time tetex-extra.
  * Added build-depends on dvipng, which is causing a warning.

 -- Isaac Jones <ijones@debian.org>  Thu, 12 May 2005 12:01:50 -0700

darcs (1.0.2+1.0.3rc1-2) unstable; urgency=low

  * Fixing build failures on autobuilders.  libcurl2-dev is no longer in
    the archive.  Now we depend only on libcurl3-dev.

 -- Isaac Jones <ijones@debian.org>  Thu, 12 May 2005 07:50:36 -0700

darcs (1.0.2+1.0.3rc1-1) unstable; urgency=low

  * New upstream release
  * Funny version number to sort correctly when 1.0.3 is released.
  * From upstream announcement:
  * One of the most visible changes from 1.0.2 is the new colorization and
    escaping of printed patches, implemented by Tommy Pettersson. It can
    protect from maliciously inserted special characters and will show
    trailing spaces. Fine-grained customisation is possible through use of
    environment variables.
  * The other nice new feature, also implemented by Tommy, is the enhanced
    interface for unrecord and unpull, similar to that in pull. It allows to
    unrecord/unpull several patches at once, taking dependencies into
    account.
  * Benedikt Schmidt improved the add command to automatically add all
    parent directories of the added file. He also added --sendmail-command
    option to 'send' - it allows the user to send patch bundles with a
    program of his/her own choice.
  * Karel Gardas implemented an often requested change to whatsnew, namely
    that --look-for-adds implies --summary.
  * A number of bugs have been fixed since the previous release, most
    notably the mysterious "createDirectory bug" or the bug that made darcs
    insist that there is a conflict when there was none.

 -- Isaac Jones <ijones@debian.org>  Wed, 11 May 2005 22:01:02 -0700

darcs (1.0.2-1) unstable; urgency=low

  * New upstream release

  * Darcs now has improved support for managing executable scripts
    through the addition of the '--set-scripts-executable' flag.

  * Ian Lynagh found and fixed a bug that caused mime decoding to fail,
    which could cause procmail scripts that apply signed darcs patches to
    fail.

  * David Roundy fixed a bug in the merger commute code which in rare
    conflicts could cause repository corruption.  There was also a fix for
    bug that caused a local get from a repository owned by another user
    (i.e. where you don't have write permission) to fail.

  * Juliusz Chroboczek contributed a couple of optimization features

  * See the "ChangeLog" file for a complete list of changes since 1.0.1.

  * now depends on exim4 instead of exim (closes: #290320)

 -- Isaac Jones <ijones@debian.org>  Sat, 12 Feb 2005 13:00:27 -0800

darcs (1.0.1-1) unstable; urgency=low

  * New upstream release

  * Added a build-dependency and a recommendation on an MTA so that the
    configure scripts will be sure to enable "darcs send" and friends
    (closes: 283229).

  * There was one bad bug in version 1.0.0 and earlier which has the
    potential to cause repository corruption (closes: #287448).
    Unfortunately, fixing this bug means that darcs is less lenient in
    allowing certain types of patches to commute, which means you may have
    trouble interacting between darcs version 1.0.1 and earlier versions
    of darcs.  There is a page on the wiki devoted to this issue, so I'll
    say no more here, and just point you there:

    http://www.scannedinavian.org/DarcsWiki/Issues1_2e0_2e1

  * A bug fix that is almost perhaps a new feature is that the MAPI email
    code for windows had some fixes made, which may make this a workable
    feature for windows users.  Support for arbitrary transport protocols
    was added via the DARCS_GET_FOO, DARCS_MGET_FOO and DARCS_APPLY_FOO
    environment variables.  There was some work on optimizations, although
    I'm not sure how much of a difference it makes in which commands,
    since I haven't run timings myself.
  * See upstream changelog for more details about other bug fixes.

 -- Isaac Jones <ijones@debian.org>  Wed, 29 Dec 2004 02:18:29 -0500

darcs (1.0.0.final-4) unstable; urgency=low

  * Pulled bugfixes from upstream:
  * "Important fix for broken html manual" (closes: #282273)
  * "add declaration for renameFile in Workaround."
  * "fix problem where the --cc was ignored in apply if the patch
    succeeded." (closes: #282130)

 -- Isaac Jones <ijones@debian.org>  Sun, 21 Nov 2004 09:31:26 -0800

darcs (1.0.0.final-3) unstable; urgency=low

  * Added watchfile.

 -- Isaac Jones <ijones@debian.org>  Sat, 20 Nov 2004 14:19:43 -0800

darcs (1.0.0.final-2) unstable; urgency=low

  * Added build-depends on tetex-extra (Closes: #281765)

 -- Isaac Jones <ijones@debian.org>  Wed, 17 Nov 2004 13:20:41 -0800

darcs (1.0.0.final-1) unstable; urgency=low

  * New upstream release
  * Now built with libcurl3 (Closes: #279469).
  * Various (upstream) bugs have been fixed most notably in the build
    system which was particularly broken for rc3.  As far as new features,
    the biggest changes are probably in the darcs.cgi system and dealing
    with renamed files.
  * Since rc4 (not packaged) There have been a few documentation fixes, a
    compile error when configured with --enable-antimemoize, and a fix for
    a bug which showed up only when working with international characters.

 -- Isaac Jones <ijones@debian.org>  Mon, 15 Nov 2004 7:47:37 -0500

darcs (1.0.0rc3-2) unstable; urgency=low

  * Pulled patches from upstream to fix some bugs:
  * "don't accept newlines in patch names" (Closes: #276388)
  * "handle better the case where unrevert context doesn't make sense."
    (Closes: #274967)

 -- Isaac Jones <ijones@debian.org>  Tue, 19 Oct 2004 14:08:31 -0400

darcs (1.0.0rc3-1) unstable; urgency=low

  * New upstream release.
  * Fixed bug in commutation of file renames and file that in theory could
    lead to repository corruption.
  * A few minor non-repository-endangering bugs were also fixed.
  * Documentation updates.

 -- Isaac Jones <ijones@debian.org>  Sun,  3 Oct 2004 18:32:40 -0400

darcs (1.0.0rc2-1) unstable; urgency=low

  * New upstream release
  * Upstream added --enable-antimemoize flag which may improve memory
    usage for lage repositories (Closes: #263454).
  * Moved NEWS.Debian to NEWS.upstream so that it won't be displayed
    during upgrades (Closes: #267184).

 -- Isaac Jones <ijones@debian.org>  Thu, 16 Sep 2004 13:40:05 -0400

darcs (1.0.0rc1.debian-1) unstable; urgency=low

  * Not a real upstream release.  Still trying to fix the upload.  There's
    a problem with the upstream tarball.  I hope to close bug #269045 if
    this works.

 -- Isaac Jones <ijones@debian.org>  Tue, 31 Aug 2004 14:31:53 -0400

darcs (1.0.0rc1-2) unstable; urgency=low

  * Botched upload requires a new upload.  No changes from previous
    version.

 -- Isaac Jones <ijones@debian.org>  Sat, 28 Aug 2004 20:01:58 -0400

darcs (1.0.0rc1-1) unstable; urgency=low

  * New upstream release

 -- Isaac Jones <ijones@debian.org>  Tue, 17 Aug 2004 11:38:01 -0400

darcs (0.9.23-1) unstable; urgency=low

  * New upstream release (Closes: #262933)
  * Removed recommends on wget (Closes: #256786)
  * Now depends on ghc 6.2

 -- Isaac Jones <ijones@debian.org>  Tue,  3 Aug 2004 16:51:13 -0400

darcs (0.9.22-1) unstable; urgency=low

  * New upstream release (see NEWS)
  * Now recommends xsltproc (from upstream) (Closes: #254853).

 -- Isaac Jones <ijones@debian.org>  Sat, 26 Jun 2004 15:39:20 -0400

darcs (0.9.20-1) unstable; urgency=low

  * New upstream release (Closes: #249524).
  * Includes the May 5 patch "fix bug in darcs-createrepo." which (Closes: #247307).
  * Added Suggests: darcs-server (Closes: #245989).
  * New standards version.

 -- Isaac Jones <ijones@debian.org>  Wed, 26 May 2004 23:56:15 -0400

darcs (0.9.19-1) unstable; urgency=low

  * New upstream release.
  * Includes the patch "better error messages in apply when patch bundle
    isn't applicable." which (Closes: #242331).
  * Now deleting the manual in the clean rule, since it gets regenerated
    anyway.

 -- Isaac Jones <ijones@debian.org>  Sun, 11 Apr 2004 15:40:54 -0400

darcs (0.9.18-2) unstable; urgency=low

  * Applied patch "fix bug in darcs diff." where the return value of diff
    is treated properly (Closes: #242134).

 -- Isaac Jones <ijones@debian.org>  Mon,  5 Apr 2004 18:40:47 -0400

darcs (0.9.18-1) unstable; urgency=low

  * New upstream release

 -- Isaac Jones <ijones@debian.org>  Sat,  3 Apr 2004 15:08:51 -0500

darcs (0.9.17-5) unstable; urgency=low

  * This version does what the last version claims to do.  The last
    version didn't actually contain the patch I tried to apply.  My
    mistake (probably).

 -- Isaac Jones <ijones@debian.org>  Sun, 21 Mar 2004 20:05:40 -0500

darcs (0.9.17-4) unstable; urgency=low

  * Applied upstream patch by Ian Lynagh <igloo@earth.li> "Match up Int
    types between Haskell and C": "This fixes a problem where chr is
    passed an Int > 2^32 on alpha. I haven't checked for other cases where
    similar things should be done."  He thinks it'll fix a runtime problem
    on alpha.

 -- Isaac Jones <ijones@debian.org>  Sun, 21 Mar 2004 19:11:50 -0500

darcs (0.9.17-3) unstable; urgency=low

  * Forgot to run autoconf, caused autobuilder failures.

 -- Isaac Jones <ijones@debian.org>  Sun,  7 Mar 2004 21:28:46 -0500

darcs (0.9.17-2) unstable; urgency=low

  * use curl-config to decide how to link with libcurl.  This fixes build
    problem for PPC.

  * added "-f" to rm for darcs.ps manual/index.html

 -- Isaac Jones <ijones@debian.org>  Sun,  7 Mar 2004 17:22:25 -0500

darcs (0.9.17-1) unstable; urgency=low

  * First upload to Debian.
  * New upstream release.
  * Added -Wall to ghc flags.
  * Added NEWS.
  * New Maintainer.

 -- Isaac Jones <ijones@debian.org>  Sat, 21 Feb 2004 16:47:48 -0500

darcs (0.9.16-1) unstable; urgency=low

  * New upstream release.

 -- David Roundy <droundy@abridgegame.org>  Tue, 10 Feb 2004 06:50:26 -0500

darcs (0.9.15-0.9.16pre-2) unstable; urgency=low

  * New test release.
  * Building "sid" deb on sarge so it will use older libcurl2-dev.

 -- David Roundy <droundy@abridgegame.org>  Sat,  7 Feb 2004 07:22:09 -0500

darcs (0.9.15-0.9.16pre-1) unstable; urgency=low

  * Testing of new upstream.

 -- David Roundy <droundy@abridgegame.org>  Fri,  6 Feb 2004 07:55:13 -0500

darcs (0.9.15-1) unstable; urgency=low

  * New upstream version.

 -- David Roundy <droundy@abridgegame.org>  Fri, 12 Dec 2003 08:03:51 -0500

darcs (0.9.14.15pre-3) unstable; urgency=low

  * Fix bug when trying to delete a symlink to a directory.
  * Fix creation of empty hunk patches when an empty file is added.

 -- David Roundy <droundy@abridgegame.org>  Tue,  9 Dec 2003 09:01:28 -0500

darcs (0.9.14.15pre-2) unstable; urgency=low

  * Fix cgi script bugs.

 -- David Roundy <droundy@abridgegame.org>  Sun,  7 Dec 2003 06:18:29 -0500

darcs (0.9.14.15pre-1) unstable; urgency=low

  * Test version for 0.9.15.

 -- David Roundy <droundy@abridgegame.org>  Sat, 29 Nov 2003 07:45:44 -0500

darcs (0.9.14-1) unstable; urgency=low

  * New upstream version.

 -- David Roundy <droundy@abridgegame.org>  Tue,  4 Nov 2003 09:15:17 -0500

darcs (0.9.13-1) unstable; urgency=low

  * New upstream version.

 -- David Roundy <droundy@abridgegame.org>  Wed, 10 Sep 2003 07:33:45 -0400

darcs (0.9.12-1) unstable; urgency=low

  * New upstream version.

 -- David Roundy <droundy@abridgegame.org>  Mon, 28 Jul 2003 08:18:28 -0400
